org.eclipse.wst.jsdt.chromium

## Interface BreakpointTypeExtension.ScriptRegExpSupport

Enclosing interface:
  BreakpointTypeExtension

    public static interface BreakpointTypeExtension.ScriptRegExpSupport

Supports targets that refer to a script by a 'regexp' of its name. After `JavascriptVm.setBreakpoint(org.eclipse.wst.jsdt.chromium.Breakpoint.Target, int, int, boolean, java.lang.String, org.eclipse.wst.jsdt.chromium.JavascriptVm.BreakpointCallback, org.eclipse.wst.jsdt.chromium.SyncCallback)` is called, breakpoint will be set on every script currently loaded in VM whose name matches. E.g. you can safely set a breakpoint before the script is actually loaded.

### Nested Class Summary

Nested Classes
`static interface` `BreakpointTypeExtension.ScriptRegExpSupport.Visitor<R>` Additional interface that user visitor may implement for `Breakpoint.Target.accept(org.eclipse.wst.jsdt.chromium.Breakpoint.Target.Visitor<R>)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`Breakpoint.Target` `createTarget(java.lang.String regExp)`

### Method Detail

#### createTarget

    Breakpoint.Target createTarget(java.lang.String regExp)

Parameters:
  `regExp` - JavaScript RegExp
Returns:
  not null